Bug 1256791 - Contributors persp.: Table disappears when using pager and then filtering
Contributors persp.: Table disappears when using pager and then filtering
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity high
: ER5
: 6.2.0
Assigned To: David Gutierrez
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 08:48 EDT by Jan Hrcek
Modified: 2015-11-03 08:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Video illustrating the issue and steps to reproduce (1.88 MB, application/octet-stream)
2015-08-25 08:48 EDT, Jan Hrcek
no flags Details
exception from server.log (7.38 KB, text/plain)
2015-08-25 08:52 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2015-08-25 08:48:49 EDT
Created attachment 1066841 [details]
Video illustrating the issue and steps to reproduce

Description of problem:
In contributors perspective: 

When filtering select is used to filter the commits AND the user has navigated the table to some different page (using table paging) the table disappears and the following error appears instead: ERROR: java.lang.Throwable: offset can't be greater than the number of rows: 20

Looks like some table paging issue.

Version-Release number of selected component (if applicable):
BPM Suite 6.1.0 ER1

How reproducible:
Always

Steps to Reproduce:
1. Start business-central (let it setup the default jbpm-playground  - default settings)
2. Navigate to contributors perspective
3. Use pager to move to Table page 4 or more
4. Filter based on Author (e.g. Kris - or someone who has less commits that the commits that fit on the currently displayed table page)

Actual results:
Exception in server.log: java.lang.IllegalArgumentException: Offset can't be greater than the number of rows: 20 (full stact trace in attachment).

When user click "next" in the table pager, this error also appears in UI.

Expected results:
Page should probably be reset to the first page when filtering via selects and no exception should be thrown.

Additional info:
Comment 1 Jan Hrcek 2015-08-25 08:52:59 EDT
Created attachment 1066842 [details]
exception from server.log
Comment 2 David Gutierrez 2015-10-13 10:46:08 EDT
Same issue has been reported in the community JIRA:

https://issues.jboss.org/browse/DASHBUILDE-49
Comment 3 David Gutierrez 2015-10-15 10:57:04 EDT
The related JIRA has been fixed.

Tested and verified on business-central following the same steps as explained above.
Comment 4 Jan Hrcek 2015-11-03 08:21:50 EST
Ok, this is working correctly now. Verified with BPM Suite 6.2.0 ER5

Note You need to log in before you can comment on or make changes to this bug.